package com.xinelu.manage.domain.taskstatusdict;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 任务状态字典对象 task_status_dict
 *
 * @author xinelu
 * @date 2024-03-13
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "任务状态字典对象", description = "task_status_dict")
public class TaskStatusDict extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 任务细分表id
     */
    @ApiModelProperty(value = "任务细分表id")
    @Excel(name = "任务细分表id")
    private Long taskPartitionId;

    /**
     * 任务细分名称
     */
    @ApiModelProperty(value = "任务细分名称")
    @Excel(name = "任务细分名称")
    private String taskPartitionName;

    /**
     * 任务状态名称
     */
    @ApiModelProperty(value = "任务状态名称")
    @Excel(name = "任务状态名称")
    private String taskStatusName;

    /**
     * 任务状态编码
     */
    @ApiModelProperty(value = "任务状态编码")
    @Excel(name = "任务状态编码")
    private String taskStatusCode;

    /**
     * 任务细分排序
     */
    @ApiModelProperty(value = "任务细分排序")
    @Excel(name = "任务细分排序")
    private Integer taskStatusSort;

    /**
     * 任务细分备注
     */
    @ApiModelProperty(value = "任务细分备注")
    @Excel(name = "任务细分备注")
    private String taskStatusRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("taskPartitionId", getTaskPartitionId())
                .append("taskPartitionName", getTaskPartitionName())
                .append("taskStatusName", getTaskStatusName())
                .append("taskStatusCode", getTaskStatusCode())
                .append("taskStatusSort", getTaskStatusSort())
                .append("taskStatusRemark", getTaskStatusRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
